### Virtual Method

# Secret Backend search

#### Declaration [src]

    void
    search (
      SecretBackend* self,
      const SecretSchema* schema,
      GHashTable* attributes,
      SecretSearchFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Implementation of `secret_password_search()`, required.

#### Parameters

`schema`

  Type: `SecretSchema`

  No description available.

  The data is owned by the caller of the method.

`attributes`

  Type: `GHashTable`

  No description available.

  The data is owned by the caller of the method.

`flags`

  Type: `SecretSearchFlags`

  No description available.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.